## kscreenlocker 6.2.5

=== debian/changelog ===
kscreenlocker (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:23:16 +0100

kscreenlocker (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:37:42 +0100

kscreenlocker (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:34 +0100

=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkf6crash-dev (>= 6.5.0~),
               libkf6globalaccel-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6idletime-dev (>= 6.5.0~),
               libkf6kcmutils-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6solid-dev (>= 6.5.0~),
               libkf6svg-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libkf6xmlgui-dev (>= 6.5.0~),
               libkscreen-dev (>= 4:6.2.0~),
               liblayershellqtinterface-dev (>= 6.2.0~),
               libpam0g-dev,
               libplasma-dev (>= 6.2.5~),
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kscreenlocker
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
Rules-Requires-Root: no

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker6 (= ${binary:Version}),
         systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the KCM settings module for kscreenlocker.

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker6 (= ${binary:Version}), ${misc:Depends},
Description: Development files for kscreenlocker
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker6
Architecture: any
Multi-Arch: same
Pre-Depends: psmisc,
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kde-config-screenlocker,
Breaks: libkscreenlocker5,
Replaces: libkscreenlocker5,
Description: Secure lock screen architecture
 KDE systemsettings module to configure kscreenlocker.
 .
 kscreenlocker can be configured to support the PAM ("Pluggable Authentication
 Modules") system for password checking (for unlocking the display).
 .
 PAM is a flexible application-transparent configurable user-authentication
 system found on FreeBSD, Solaris, and Linux (and maybe other unixes).
 .
 Information about PAM may be found on its homepage
       http://www.kernel.org/pub/linux/libs/pam/
 (Despite the location, this information is NOT Linux-specific.)
 .
 This package contains the library files for kscreenlocker.

## kscreenlocker 6.2.90

=== debian/changelog ===
kscreenlocker (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:31:43 +0000

kscreenlocker (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:00:31 +0000

kscreenlocker (6.2.4-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:24:56 -0600

kscreenlocker (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:13:27 +0000

kscreenlocker (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * Update symbols from build logs.
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:56:37 +0000

kscreenlocker (6.1.5-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:06:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                gettext,
-               libkf6crash-dev (>= 6.5.0~),
-               libkf6globalaccel-dev (>= 6.5.0~),
-               libkf6i18n-dev (>= 6.5.0~),
-               libkf6idletime-dev (>= 6.5.0~),
-               libkf6kcmutils-dev (>= 6.5.0~),
-               libkf6kio-dev (>= 6.5.0~),
-               libkf6notifications-dev (>= 6.5.0~),
-               libkf6solid-dev (>= 6.5.0~),
-               libkf6svg-dev (>= 6.5.0~),
-               libkf6windowsystem-dev (>= 6.5.0~),
-               libkf6xmlgui-dev (>= 6.5.0~),
-               libkscreen-dev (>= 4:6.2.0~),
-               liblayershellqtinterface-dev (>= 6.2.0~),
+               libkf6crash-dev (>= 6.10.0~),
+               libkf6globalaccel-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
+               libkf6idletime-dev (>= 6.10.0~),
+               libkf6kcmutils-dev (>= 6.10.0~),
+               libkf6kio-dev (>= 6.10.0~),
+               libkf6notifications-dev (>= 6.10.0~),
+               libkf6solid-dev (>= 6.10.0~),
+               libkf6svg-dev (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
+               libkf6xmlgui-dev (>= 6.10.0~),
+               libkscreen-dev (>= 4:6.2.90~),
+               liblayershellqtinterface-dev (>= 6.2.90~),
                libpam0g-dev,
-               libplasma-dev (>= 6.2.5~),
+               libplasma-dev (>= 6.2.90~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -34,12 +35,12 @@
                libxcursor-dev,
                libxi-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -47,6 +48,7 @@
 Depends: libkscreenlocker6 (= ${binary:Version}),
          systemsettings,
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends},
 Description: KCM Module for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
@@ -67,7 +69,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker6 (= ${binary:Version}), ${misc:Depends},
+Depends: libkscreenlocker6 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .

## kscreenlocker 6.3.0

=== debian/changelog ===
kscreenlocker (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.3.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:20 +0100

kscreenlocker (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:53:47 +0100

kscreenlocker (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.
  * Build with hardening=+all build hardening flag.
  * Bump inter-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 17 Jan 2025 09:22:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6crash-dev (>= 6.10.0~),
@@ -26,7 +25,7 @@
                libkscreen-dev (>= 4:6.2.90~),
                liblayershellqtinterface-dev (>= 6.2.90~),
                libpam0g-dev,
-               libplasma-dev (>= 6.2.90~),
+               libplasma-dev (>= 6.3.0~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -35,12 +34,12 @@
                libxcursor-dev,
                libxi-dev,
                pkgconf,
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-declarative-dev (>= 6.7.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -48,7 +47,6 @@
 Depends: libkscreenlocker6 (= ${binary:Version}),
          systemsettings,
          ${misc:Depends},
-         ${perl:Depends},
          ${shlibs:Depends},
 Description: KCM Module for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
@@ -69,8 +67,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker6 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkscreenlocker6 (= ${binary:Version}), ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .

## kscreenlocker 6.3.2

=== debian/changelog ===
kscreenlocker (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:53:53 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkscreen-dev (>= 4:6.2.90~),
                liblayershellqtinterface-dev (>= 6.2.90~),
                libpam0g-dev,
-               libplasma-dev (>= 6.3.0~),
+               libplasma-dev (>= 6.3.2~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,

## kscreenlocker 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kscreenlocker)
set(CMAKE_C_STANDARD 99)
set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(PROJECT_DEP_VERSION "6.3.4")
set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CheckIncludeFiles)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

include(CheckIncludeFile)
include(CheckSymbolExists)
check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H)
check_symbol_exists(PR_SET_DUMPABLE "sys/prctl.h" HAVE_PR_SET_DUMPABLE)
check_include_file("sys/procctl.h" HAVE_SYS_PROCCTL_H)
check_symbol_exists(PROC_TRACE_CTL "sys/procctl.h" HAVE_PROC_TRACE_CTL)
if (HAVE_PR_SET_DUMPABLE OR HAVE_PROC_TRACE_CTL)
  set(CAN_DISABLE_PTRACE TRUE)
endif ()
add_feature_info("prctl/procctl tracing control"
                 CAN_DISABLE_PTRACE
                 "Required for disallowing ptrace on greeter and kcheckpass process")

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick Test)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    KCMUtils
    KIO
    GlobalAccel
    I18n
    IdleTime
    Notifications
    Solid
    WindowSystem
    XmlGui
    Svg
)

find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org"
                        TYPE REQUIRED
                        PURPOSE "Required for building the X11 based workspace")

find_package(XCB MODULE REQUIRED COMPONENTS XCB KEYSYMS XTEST)
set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XInput" X11_Xinput_FOUND "Required for grabbing XInput2 devices in the screen locker")

find_package(WaylandScanner)
find_package(Wayland 1.3 COMPONENTS Client Server)
find_package(LayerShellQt REQUIRED)
find_package(KF6Screen REQUIRED)

set_package_properties(Wayland PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "Required for building screenlocker")

find_package(loginctl)
set_package_properties(loginctl PROPERTIES
    URL "https://www.freedesktop.org/software/systemd/man/loginctl.html"
    DESCRIPTION "Send control commands to the login manager"
    TYPE RUNTIME
)
set(HAVE_LOGINCTL ${loginctl_FOUND})

if (NOT HAVE_LOGINCTL)
    find_package(ConsoleKit)
    set_package_properties(ConsoleKit PROPERTIES
        URL "https://github.com/ConsoleKit2/ConsoleKit2"
        DESCRIPTION "Framework for tracking user login sessions"
        TYPE RECOMMENDED
    )
    set(HAVE_CONSOLEKIT ${ConsoleKit_FOUND})
endif ()

if (HAVE_LOGINCTL OR HAVE_CONSOLEKIT)
    set(HAVE_UNLOCK_CAPABILITY TRUE)
endif ()

add_feature_info("Unlock broken screenlocker"
                 HAVE_UNLOCK_CAPABILITY
                 "Needed for emergency unlock in case that the greeter is broken. In case your distribution does not provide loginctl or consolekit please contact plasma-devel@kde.org to discuss alternatives.")

find_package(PAM REQUIRED)
set_package_properties(PAM PROPERTIES DESCRIPTION "PAM Libraries"
                       URL "https://www.kernel.org/pub/linux/libs/pam/"
                       TYPE REQUIRED
                       PURPOSE "Required for screen unlocking"
                      )
macro(define_pam_service APP)
    string(TOUPPER ${APP}_PAM_SERVICE var)
    set(cvar ${var})
    set(${cvar} "kde" CACHE STRING "The PAM service to use for ${APP}.")
    mark_as_advanced(${cvar})
    set(${var} "\"${${cvar}}\"")
    message(STATUS "The PAM service used by ${APP} will be ${${var}}")
endmacro(define_pam_service)

define_pam_service(KScreenLocker)

set(CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)

configure_file(config-unix.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-unix.h )

if (HAVE_CONSOLEKIT)
    configure_file(ck-unlock-session.cmake ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session)
endif ()

# adjusting CMAKE_C_FLAGS to get wayland protocols to compile
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KSCREENLOCKER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kscreenlocker_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
    SOVERSION 5
)

configure_file(config-kscreenlocker.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kscreenlocker.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(KSLD_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KScreenLocker")

include(ECMQtDeclareLoggingCategory)

ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

add_subdirectory(greeter)
add_subdirectory(kcm)
add_subdirectory(settings)

add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")

set(screensaver_dbusXML dbus/org.freedesktop.ScreenSaver.xml)
set(kscreensaver_dbusXML dbus/org.kde.screensaver.xml)
set(powerdevilpolicyagent_xml dbus/kf6_org.kde.Solid.PowerManagement.PolicyAgent.xml)

set(ksld_SRCS
   abstractlocker.cpp
   ksldapp.cpp
   interface.cpp
   globalaccel.cpp
   x11locker.cpp
   waylandlocker.cpp
   logind.cpp
   waylandserver.cpp
   powermanagement_inhibition.cpp
   abstractlocker.h
   ksldapp.h
   interface.h
   globalaccel.h
   x11locker.h
   waylandlocker.h
   logind.h
   waylandserver.h
   powermanagement_inhibition.h
)

ecm_qt_declare_logging_category(ksld_SRCS
    HEADER kscreenlocker_logging.h
    IDENTIFIER KSCREENLOCKER
    CATEGORY_NAME kscreenlocker
    DEFAULT_SEVERITY Critical
    DESCRIPTION "KScreenLocker"
    EXPORT KSCREENLOCKER
)

qt_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
qt_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
qt_add_dbus_interface(ksld_SRCS ${powerdevilpolicyagent_xml} powerdevilpolicyagent)

ecm_add_wayland_server_protocol(ksld_SRCS
    PROTOCOL protocols/ksld.xml
    BASENAME ksld
)

add_library(KScreenLocker SHARED ${ksld_SRCS})

target_link_libraries(KScreenLocker
PUBLIC
   Qt::Core
PRIVATE
   settings
   Qt::DBus
   KF6::I18n
   KF6::IdleTime
   KF6::GlobalAccel
   KF6::Notifications
   KF6::CoreAddons
   KF6::ConfigGui
   KF6::Package
   KF6::WindowSystem
   X11::X11
   XCB::XCB
   XCB::KEYSYMS
   Wayland::Server
)

set(kscreenlocker_greet_bin_abs ${CMAKE_INSTALL_FULL_LIBEXECDIR}/kscreenlocker_greet)
# The file path of kscreenlocker_greet must be relative to the KScreenLocker library.
file(RELATIVE_PATH kscreenlocker_greet_bin_rel ${CMAKE_INSTALL_FULL_LIBDIR} ${kscreenlocker_greet_bin_abs})
target_compile_definitions(KScreenLocker PRIVATE
    KSCREENLOCKER_GREET_BIN_ABS="${kscreenlocker_greet_bin_abs}"
    KSCREENLOCKER_GREET_BIN_REL="${kscreenlocker_greet_bin_rel}"
)

if (X11_Xinput_FOUND)
    target_link_libraries(KScreenLocker PRIVATE X11::Xi)
endif()

target_include_directories(KScreenLocker INTERFACE "$<INSTALL_INTERFACE:${KSLD_INCLUDEDIR}>")

# Needed to compile on Arm target.
set_target_properties(KScreenLocker PROPERTIES COMPILE_FLAGS "-fPIC")

add_library(PW::KScreenLocker ALIAS KScreenLocker)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

generate_export_header(KScreenLocker
    BASE_NAME KScreenLocker
    EXPORT_MACRO_NAME KSCREENLOCKER_EXPORT
    EXPORT_FILE_NAME KScreenLocker/kscreenlocker_export.h
)

configure_package_config_file(ScreenSaverDBusInterfaceConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/ScreenSaverDBusInterface")

set_target_properties(KScreenLocker PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ScreenSaverDBusInterfaceConfig.cmake
    DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/ScreenSaverDBusInterface")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KScreenLockerConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker")

if (HAVE_CONSOLEKIT)
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ck-unlock-session DESTINATION ${KDE_INSTALL_BINDIR})
endif ()

install(TARGETS KScreenLocker EXPORT KScreenLockerTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY)
install(EXPORT KScreenLockerTargets DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker" FILE KScreenLockerTargets.cmake NAMESPACE PW::)

ecm_generate_headers(KScreenLocker_CamelCase_HEADERS
    HEADER_NAMES
        KsldApp
    REQUIRED_HEADERS KScreenLocker_HEADERS)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/KScreenLocker/kscreenlocker_export.h
        ${KScreenLocker_CamelCase_HEADERS}
        ${KScreenLocker_HEADERS}
    DESTINATION
        ${KSLD_INCLUDEDIR}/KScreenLocker
    COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfig.cmake"
			  "${CMAKE_CURRENT_BINARY_DIR}/KScreenLockerConfigVersion.cmake"
		DESTINATION "${KDE_INSTALL_CMAKEPACKAGEDIR}/KScreenLocker"
		COMPONENT Devel)

ecm_qt_install_logging_categories(
    EXPORT KSCREENLOCKER
    FILE kscreenlocker.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

install(FILES kscreenlocker.notifyrc  DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} RENAME ksmserver.notifyrc)
install(FILES ${screensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf6_org.freedesktop.ScreenSaver.xml)

install(FILES ${kscreensaver_dbusXML}
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})

if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kscreenlocker (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:55:18 +0100

kscreenlocker (6.3.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:06 -0500

kscreenlocker (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:18:30 +0000

kscreenlocker (6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on curernt Plasma version.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Mar 2025 10:08:58 +0000

kscreenlocker (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:15:43 +0000

kscreenlocker (6.3.1-0ubuntu2) plucky; urgency=high

  * Build with hardening=+all

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Feb 2025 06:51:08 +0000

kscreenlocker (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:22:45 +0000

kscreenlocker (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:54:43 +0000

kscreenlocker (6.2.91-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:08:53 -0600

kscreenlocker (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:41:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6crash-dev (>= 6.10.0~),
@@ -22,10 +23,10 @@
                libkf6svg-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.2.90~),
-               liblayershellqtinterface-dev (>= 6.2.90~),
+               libkscreen-dev (>= 4:6.3.4~),
+               liblayershellqtinterface-dev (>= 6.3.4~),
                libpam0g-dev,
-               libplasma-dev (>= 6.3.2~),
+               libplasma-dev (>= 6.3.4~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -38,8 +39,8 @@
                qt6-declarative-dev (>= 6.7.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
@@ -67,7 +68,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker6 (= ${binary:Version}), ${misc:Depends},
+Depends: libkscreenlocker6 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .

## kscreenlocker 6.3.5

=== greeter/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")
add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker_greet\")

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/../
)

set(kscreenlocker_authenticator_SRCS
    pamauthenticators.cpp
    pamauthenticators.h
    pamauthenticator.cpp
    pamauthenticator.h
)

ecm_qt_declare_logging_category(kscreenlocker_authenticator_SRCS
    HEADER kscreenlocker_greet_logging.h
    IDENTIFIER KSCREENLOCKER_GREET
    CATEGORY_NAME kscreenlocker_greet
    DEFAULT_SEVERITY Info
    DESCRIPTION "KScreenLocker (greeter)"
    EXPORT KSCREENLOCKER
)

set(kscreenlocker_greet_SRCS
   greeterapp.cpp
   main.cpp
   powermanagement.cpp
   noaccessnetworkaccessmanagerfactory.cpp
   greeterapp.h
   powermanagement.h
   noaccessnetworkaccessmanagerfactory.h
)

add_library(kscreenlocker_authenticator OBJECT ${kscreenlocker_authenticator_SRCS})
target_link_libraries(kscreenlocker_authenticator
    Qt::Core
    ${PAM_LIBRARIES}
)

qt_add_resources(kscreenlocker_greet_SRCS fallbacktheme.qrc)

ecm_add_wayland_client_protocol(kscreenlocker_greet_SRCS
    PROTOCOL ../protocols/ksld.xml
    BASENAME ksld
)

add_executable(kscreenlocker_greet ${kscreenlocker_greet_SRCS})

target_link_libraries(kscreenlocker_greet
    settings
    kscreenlocker_authenticator
    KF6::Package
    KF6::Crash
    KF6::I18n
    KF6::ConfigGui
    KF6::KIOCore
    KF6::WindowSystem
    KF6::I18nQml
    Plasma::PlasmaQuick
    Qt::Quick
    Qt::Qml
    Qt::GuiPrivate
    X11::X11
    Wayland::Client
    LayerShellQt::Interface
    KF6::ScreenDpms
)

# KSCREENLOCKER_PAM_SERVICE, if defined, will already have been
# enclosed in double quotes by the define_pam_service macro.
if (NOT DEFINED KSCREENLOCKER_PAM_PASSWORD_SERVICE)
  set(KSCREENLOCKER_PAM_PASSWORD_SERVICE "\"kde\"")
endif()

if (NOT DEFINED KSCREENLOCKER_PAM_FINGERPRINT_SERVICE)
  set(KSCREENLOCKER_PAM_FINGERPRINT_SERVICE "\"kde-fingerprint\"")
endif()

if (NOT DEFINED KSCREENLOCKER_PAM_SMARTCARD_SERVICE)
  set(KSCREENLOCKER_PAM_SMARTCARD_SERVICE "\"kde-smartcard\"")
endif()

target_compile_definitions(kscreenlocker_greet PRIVATE
    KCHECKPASS_BIN="kcheckpass"
    KSCREENLOCKER_PAM_SERVICE=${KSCREENLOCKER_PAM_SERVICE}
    KSCREENLOCKER_PAM_FINGERPRINT_SERVICE=${KSCREENLOCKER_PAM_FINGERPRINT_SERVICE}
    KSCREENLOCKER_PAM_SMARTCARD_SERVICE=${KSCREENLOCKER_PAM_SMARTCARD_SERVICE}
)

install(TARGETS kscreenlocker_greet DESTINATION ${KDE_INSTALL_LIBEXECDIR})

install(DIRECTORY themes/org.kde.passworddialog DESTINATION ${KDE_INSTALL_DATADIR}/ksmserver/screenlocker)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
kscreenlocker (6.3.5-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current Plasma version.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Jul 2025 09:30:17 +0100

kscreenlocker (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Backport upstream commits:
    - Sync password input between screens in multi-monitor setups.
    (kde#433563)
    - Correctly use PAM configuration for login timeout instead of hardcoded
    value. (kde#489898)
    - Fix hard freeze under wayland when triggering sleep inhibition in some
    situations like starting a video in firefox. (kde#501073)
  * Fix unwanted lockcreen messages due to missing PAM configurations to
    handle fingerprint sensors and smartcards. (Closes: #1089081)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:41 +0200

kscreenlocker (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:39 +0100

kscreenlocker (6.3.4-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Bump Standards-Version to 4.7.2, no changes required.
  * Remove inactive Uploaders.
  * CI: simplify/improve config.
  [ Patrick Franz ]
  * New upstream release (6.3.4).

  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-           Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libkf6crash-dev (>= 6.10.0~),
@@ -23,10 +22,10 @@
                libkf6svg-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkf6xmlgui-dev (>= 6.10.0~),
-               libkscreen-dev (>= 4:6.3.4~),
-               liblayershellqtinterface-dev (>= 6.3.4~),
+               libkscreen-dev (>= 4:6.3.5~),
+               liblayershellqtinterface-dev (>= 6.3.5~),
                libpam0g-dev,
-               libplasma-dev (>= 6.3.4~),
+               libplasma-dev (>= 6.3.5~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -37,7 +36,7 @@
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
@@ -68,8 +67,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker6 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkscreenlocker6 (= ${binary:Version}), ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
@@ -91,6 +89,10 @@
 Pre-Depends: psmisc,
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: kde-config-screenlocker,
+Suggests: libpam-fprintd,
+          libpam-kwallet5,
+          libpam-sss,
+          libpam-pkcs11,
 Breaks: libkscreenlocker5,
 Replaces: libkscreenlocker5,
 Description: Secure lock screen architecture

## kscreenlocker 6.4.4

=== debian/changelog ===
kscreenlocker (6.4.4-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 14:41:47 +0000

kscreenlocker (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:12:19 +0000

kscreenlocker (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:07:09 +0000

kscreenlocker (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:25:06 +0000

kscreenlocker (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:41:19 +0000

kscreenlocker (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 14 Jun 2025 13:57:02 +1000

kscreenlocker (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:49:22 +0000

kscreenlocker (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:00:25 +0000

kscreenlocker (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:00:11 +0000

kscreenlocker (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:03:36 +0000

kscreenlocker (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:47:04 +0000

kscreenlocker (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:23:16 +0000

kscreenlocker (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:52:52 +0000

kscreenlocker (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:26:35 +0000

kscreenlocker (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:03:52 +0000

kscreenlocker (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:57:23 +0000

kscreenlocker (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:02:10 +0000

kscreenlocker (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:31:01 +0000

kscreenlocker (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

kscreenlocker (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:25:50 +0000

kscreenlocker (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:01:55 +0000

kscreenlocker (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:34:43 +0000

kscreenlocker (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 11:37:06 +0000

kscreenlocker (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:13:18 +0000

kscreenlocker (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:42:08 +0000

kscreenlocker (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Mar 2024 23:58:49 +0000

kscreenlocker (6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:18:28 +0000

kscreenlocker (5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:54 +1000

kscreenlocker (5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:47:29 +0000

kscreenlocker (5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:56:33 +0000

kscreenlocker (5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 17:59:21 +0000

kscreenlocker (5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:17:40 +0000

kscreenlocker (5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:03:49 +0000

kscreenlocker (5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:31:03 +0000

kscreenlocker (5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:27:00 +0000

kscreenlocker (5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:07:38 +0000

kscreenlocker (5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:00:07 +0000

kscreenlocker (5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:29:35 +0000

kscreenlocker (5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:23:20 +0000

kscreenlocker (5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:43:24 +0000

kscreenlocker (5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:39:39 +0000

kscreenlocker (5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:19:06 +0000

kscreenlocker (5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:56:04 +0000

kscreenlocker (5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:48:27 +0000

kscreenlocker (5.25.4-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2022 13:09:06 +0000

kscreenlocker (5.25.3-0neon) focal; urgency=medium

  * New release



=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_test:
	:
